﻿// $Id: $
package com.nesterovskyBros.test;

/**
 * Defines vendor independent error codes.
 */
public enum ErrorCode
{
  /**
   * Operation succeeded.
   */
  Success,
  /**
   * Data not found.
   */
  NotFound,
  /**
   * Not unique identifier was used.
   */
  NotUnique,
  /**
   * Value already exists.
   */
  AlreadyExists,
  /**
   * Invalid permitted value.
   */
  PermittedValueViolation,
  /**
   * Operation timeout.
   */
  Timeout,
  /**
   * Other database error.
   */
  DatabaseError,
  /**
   * Unknown error.
   */
  Error
}
